Skip to content
Start here

Update a custom page

PUT/accounts/{account_id}/access/custom_pages/{custom_page_id}

Update a custom page

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Access: Custom Pages Write
Path ParametersExpand Collapse
account_id: string

Identifier.

maxLength32
custom_page_id: string

UUID.

maxLength36
Body ParametersJSONExpand Collapse
custom_html: string

Custom page HTML.

name: string

Custom page name.

type: "identity_denied" or "forbidden" or "login" or "interstitial"

Custom page type.

One of the following:
"identity_denied"
"forbidden"
"login"
"interstitial"
contract_version: optional number

Contract version of the page’s Liquid template. Present (>= 1) marks a sanitized template; absent or 0 marks a legacy page served verbatim.

ReturnsExpand Collapse
errors: array of object { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
messages: array of object { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
success: true

Whether the API call was successful.

result: optional CustomPageWithoutHTML { name, type, contract_version, 2 more }
name: string

Custom page name.

type: "identity_denied" or "forbidden" or "login" or "interstitial"

Custom page type.

One of the following:
"identity_denied"
"forbidden"
"login"
"interstitial"
contract_version: optional number

Contract version of the page’s Liquid template. Present (>= 1) marks a sanitized template; absent or 0 marks a legacy page served verbatim.

uid: optional string

UUID.

maxLength36
warnings: optional array of object { message, tier, ref }

Advisory validation findings returned when creating or updating a template. Omitted when empty.

message: string

Human-readable description of the finding.

tier: string

The validation tier that produced the finding (e.g. html, liquid).

ref: optional string

Optional pointer to the part of the template the finding refers to.

Update a custom page

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/access/custom_pages/$CUSTOM_PAGE_ID \
    -X PUT \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
    -d '{
          "custom_html": "<html><body><h1>Access Denied</h1></body></html>",
          "name": "name",
          "type": "identity_denied"
        }'
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "name": "name",
    "type": "identity_denied",
    "app_count": 0,
    "contract_version": 0,
    "created_at": "2014-01-01T05:20:00.12345Z",
    "uid": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "updated_at": "2014-01-01T05:20:00.12345Z",
    "warnings": [
      {
        "message": "message",
        "tier": "tier",
        "ref": "ref"
      }
    ]
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "name": "name",
    "type": "identity_denied",
    "app_count": 0,
    "contract_version": 0,
    "created_at": "2014-01-01T05:20:00.12345Z",
    "uid": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "updated_at": "2014-01-01T05:20:00.12345Z",
    "warnings": [
      {
        "message": "message",
        "tier": "tier",
        "ref": "ref"
      }
    ]
  }
}